﻿using Syncfusion.Data;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace DataGridTest2
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public static List<DemoPerson> PERSONS { get; set; }

        public MainPage()
        {
            this.Seed(160);
            this.InitializeComponent();
        }

        public void Seed(int count)
        {
            var firstNames = new string[] { "Nicky", "Peter", "Simon", "Rikke", "Karina", "Niels", "Bettina" };
            var lastNames = new string[] { "Mogensen", "Hansen", "Jensen", "Holst", "Baltzer", "Kofod", "Laursen" };
            var random = new Random();

            PERSONS = new List<DemoPerson>();

            for (var i = 0; i < count; i++)
            {
                PERSONS.Add(new DemoPerson
                    {
                        Age = random.Next(10) + 20,
                        FirstName = i % 10 == 0 ? firstNames[0] : firstNames[random.Next(firstNames.Length - 1) + 1],
                        LastName = i % 10 == 0 ? lastNames[0] : lastNames[random.Next(lastNames.Length- 1) + 1]
                    });
            }
        }
    }

    public class DemoPerson
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int Age { get; set; }
    }
}
